ProjectControllerCreateUserProject Method |
POST /Project/User/{id}
Creates a user project for the specified account.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
[ActionNameAttribute("User")]
public HttpResponseMessage CreateUserProject(
Guid id,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("User")>
Public Function CreateUserProject (
id As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"User")]
HttpResponseMessage^ CreateUserProject(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("User")>]
member CreateUserProject :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the account to create a user project for. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the current session.
Return Value
Type:
HttpResponseMessage
The
ProjectData of the user's project or a status code indicating the reason for failure.
See Also